# 
# TODO:
# - fix `--with tex' build
#
# Conditional build:
%bcond_with	tex	# try to build documentation using LaTeX
#
%include	/usr/lib/rpm/macros.perl
Summary:	LaTeX to HTML translator
Summary(pl.UTF-8):	Konwerter z LaTeXa do HTML
Name:		latex2html
Version:	2008
Release:	2
License:	GPL v2
Group:		Applications/Publishing/TeX
Source0:	http://www.latex2html.org/~latex2ht/current/%{name}-%{version}.tar.gz
# Source0-md5:	275ab6cfa8ca9328446b7f40d8dc302e
Patch0:		%{name}-perl.patch
Patch1:		%{name}-tmp.patch
Patch2:		%{name}-gslib.patch
Patch3:		%{name}-extract-major-version.patch
Patch4:		%{name}-convert-length.patch
Patch5:		%{name}-destdir.patch
URL:		http://www.latex2html.org/
BuildRequires:	ghostscript
BuildRequires:	giftrans
BuildRequires:	netpbm-devel
BuildRequires:	netpbm-progs
BuildRequires:	%{__perl}
BuildRequires:	rpm-perlprov
%if %{with tex}
BuildRequires:	texlive-dvips
BuildRequires:	texlive-fonts-ams
BuildRequires:	texlive-latex
BuildRequires:	texlive-makeindex
%endif
Requires:	apache-icons
Requires:	ghostscript >= 4.03
Requires:	giftrans
Requires:	netpbm-progs
Requires:	%{__perl}
Requires:	texlive-dvips 
Requires:	texlive-latex
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_libdir		%{_datadir}/%{name}
%define		_shlibdir	%{_datadir}/%{name}

%define		texmfdir	/usr/share/texmf

%description
Elaborate Perl program to convert latex documents to html, using LaTeX
to process images and equations.

%description -l pl.UTF-8
Program w Perlu do konwertowania dokumentów LaTeXa do formatu HTML.
Generuje strony html oraz odpowiednie obrazki.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1

%build
GS_LIB=.:/usr/share/ghostscript/lib:/usr/share/fonts/Type1; export GS_LIB
%configure2_13 \
	--shlibdir=%{_datadir}/%{name} \
	--enable-images \
	--enable-pk \
	--enable-eps \
	--enable-gif \
	--enable-png \
	--enable-pipes \
	--enable-paths \
	--enable-wrapper \
	--with-perl=%{__perl} \
	--with-gs=/usr/bin/gs \
	--with-rgb=%{_datadir}/X11/rgb.txt \
	--with-texpath=%{texmfdir}/tex/latex/%{name} \
	--with-iconpath=/icons/l2h

%{__make}

%if %{with tex}
	# build foilhtml modules
	cd foilhtml
	latex foilhtml.ins
	cd ..
	
	# build documentation
	TEXINPUTS="../:../texinputs:$TEXINPUTS"; export TEXINPUTS
	%{__make} -j1 -C docs manual.dvi
	%{__make} -j1 -C docs manual.dvi
	%{__make} -j1 -C docs manual.ps
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}/apache-icons

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

ln -sf	%{_shlibdir}/cweb2html/cweb2html $RPM_BUILD_ROOT%{_bindir}/cweb2html
ln -sf	%{_shlibdir}/icons $RPM_BUILD_ROOT%{_datadir}/apache-icons/l2h

%{__rm} -r $RPM_BUILD_ROOT%{_shlibdir}/{docs,example}

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -x /usr/bin/texhash ]; then
	/usr/bin/texhash
fi
if [ -x /usr/bin/mktexlsr ]; then
	/usr/bin/mktexlsr
fi

%files
%defattr(644,root,root,755)
%doc BUGS FAQ LICENSE README TODO %{?with_tex:docs/manual.ps}
%attr(755,root,root) %{_bindir}/cweb2html
%attr(755,root,root) %{_bindir}/latex2html
%attr(755,root,root) %{_bindir}/pstoimg
%attr(755,root,root) %{_bindir}/texexpand
%dir %{_shlibdir}
%{_shlibdir}/[!c]*
%{_shlibdir}/c[!w]*
%dir %{_shlibdir}/cweb2html
%{_shlibdir}/cweb2html/[!c]*
%{_shlibdir}/cweb2html/cweb.*
%attr(755,root,root) %{_shlibdir}/cweb2html/cweb2html
%{texmfdir}/tex/latex/%{name}
%{_datadir}/apache-icons/l2h
%changelog
* Wed Dec 04 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/latex2html.git;a=log;h=master

* Wed Dec 04 2013 Jan Rękorajski <baggins@pld-linux.org> e1a2307
- fix temporary directory misdetection
- rel 2

* Thu Apr 05 2012 Jakub Bogusz <qboosh@pld-linux.org> 01c4e72
- updated to 2008
- added destdir patch to fix texmf data installation

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> 15a3fa6
- dropped pre-cvs changelog

* Mon Mar 30 2009 Zsolt Udvari <uzsolt@pld-linux.org> d4f6c0e
- switch to texlive
- rel 8

* Tue Mar 11 2008 hawk <hawk@pld-linux.org> 03cf017
- use apache-icons, solves broken directory deps, release 7

* Tue Dec 25 2007 Adam Gołębiowski <adamg@pld-linux.org> d2982d5
- reverse tex bcond (docs fail to build)

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 6b8a5b5
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 0a4cd72
- converted to UTF-8

* Tue Jan 02 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> 0935be7
- more patches

* Tue Jan 02 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> 22d79bb
- new

* Sat Oct 28 2006 Jakub Bogusz <qboosh@pld-linux.org> 8ff24da
- R: tetex-format-latex
- proper URL (to homepage, not mailing list archive)
- release 5

* Wed Jan 12 2005 kosmo <kosmo@pld-linux.org> ac946de
- updated to 2002-2-1, rel = 4

* Mon Oct 25 2004 paladine <paladine@pld-linux.org> e2e21a2
- "HTML" and "Perl" unification

* Sun Nov 23 2003 Jakub Bogusz <qboosh@pld-linux.org> c2cf5c8
- modified perl patch to force using passed perl instead of $^X
- new-style bcond, release 3

* Thu Aug 28 2003 ankry <ankry@pld-linux.org> a3fa8cc
- s/TeX-a/TeXa/ i podobne

* Wed May 28 2003 Michal Moskal <michal@moskal.me> 666480c
- massive attack: source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> f1b3b92
- massive attack s/pld.org.pl/pld-linux.org/

* Sun May 11 2003 radek <radek@pld-linux.org> f9b8047
- use R/BR %__perl instead of perl; should be %__perl friendly

* Wed Apr 16 2003 radek <radek@pld-linux.org> fee99de
- BR: tetex-fonts-ams

* Mon Mar 03 2003 radek <radek@pld-linux.org> bc919d5
- updated for perl-5.8; created _without_tex bcond; release 2

